import { UrlCollection } from "./uris.js";
class CacheRegistry {
    constructor() {
        Object.defineProperty(this, "items", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.items = new UrlCollection();
    }
    clear() {
        this.items.clear();
    }
}
export { CacheRegistry };
