import { CacheRegistry, type CacheRegistryInterface, Fetchp, type FetchpHookFn, FetchpHookType, type FetchpInterface, type FetchpRequestInit, type FetchpResultInterface, FetchpStatus, HookRegistry, type HookRegistryInterface, MockRegistry, type MockRegistryInterface } from "./fetchp.js";
interface FetchpInterfaceMock extends FetchpInterface {
    mockResponseFn: (request: Request) => Promise<Response>;
    setMockResponseFn(responseFn: (request: Request) => Promise<Response>): void;
}
declare class FetchpMock extends Fetchp implements FetchpInterfaceMock {
    mockResponseFn: (request: Request) => Promise<Response>;
    constructor();
    setMockResponseFn(responseFn: (request: Request) => Promise<Response>): void;
    internalFetcher(request: Request): Promise<Response>;
}
declare const fetchpMock: FetchpMock;
export { CacheRegistry, type CacheRegistryInterface, type FetchpHookFn, FetchpHookType, type FetchpInterface, FetchpMock as Fetchp, fetchpMock as default, fetchpMock as fetchp, type FetchpRequestInit, type FetchpResultInterface, FetchpStatus, HookRegistry, type HookRegistryInterface, MockRegistry, type MockRegistryInterface, };
