import { UrlCollection, type UrlCollectionInterface } from "./uris.js";
type CacheItem = Promise<Response>;
interface CacheRegistryInterface {
    items: UrlCollectionInterface<CacheItem>;
    clear(): void;
}
declare class CacheRegistry implements CacheRegistryInterface {
    items: UrlCollection<CacheItem>;
    constructor();
    clear(): void;
}
export { CacheRegistry, type CacheRegistryInterface };
